Retry job execution - Writer AI Studio
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --location --request POST https://api.writer.com/v1/applications/jobs/{job_id}/retry \
--header "Authorization: Bearer <token>"
Python
import os
from writerai import Writer
client = Writer(
api_key=os.environ.get("WRITER_API_KEY"), # This is the default and can be omitted
)
response = client.applications.jobs.retry(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.id)
JavaScript
import Writer from 'writer-sdk';
const client = new Writer({
apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});
async function main() {
const response = await client.applications.jobs.retry('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.id);
}
main();
Response Example
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
API Endpoint
POST
/v1
/applications
/jobs
/{job_id}
/retry
No-Code Agents
No-code applications are now called no-code agents. The Applications API, which you can use to programmatically interact with no-code agents, still uses the term application to minimize breaking changes.
Authorizations
Authorizationstringheader
required
Bearer authentication header of the form Bearer <token>, where <token> is your Writer API key.
Path Parameters
job_idstring<uuid>
required
The ID of the job to retry.
Response
202 - application/json
Accepted
idstring<uuid>
required
The unique identifier for the async job created.
statusenum<string>
required
The status of the job.
Available options:
in_progress,failed,completed
created_atstring<date-time>
required
The timestamp when the job was created.